public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
From: Tom de Vries <tdevries@suse.de>
To: dwz@sourceware.org, jakub@redhat.com
Subject: [committed] Add twice-hardlink.sh test-case
Date: Tue, 01 Jan 2019 00:00:00 -0000	[thread overview]
Message-ID: <20190317152125.GA16669@delia> (raw)

Hi,

Add a test-case that tests that hardlinks are maintained when files cannot be
compressed further.

Committed to trunk.

Thanks,
- Tom

Add twice-hardlink.sh test-case

2019-03-17  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/twice-hardlink.sh: New test.

---
 testsuite/dwz.tests/twice-hardlink.sh | 36 +++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

diff --git a/testsuite/dwz.tests/twice-hardlink.sh b/testsuite/dwz.tests/twice-hardlink.sh
new file mode 100644
index 0000000..207e18d
--- /dev/null
+++ b/testsuite/dwz.tests/twice-hardlink.sh
@@ -0,0 +1,36 @@
+cp ../hello 1
+ln 1 2
+
+dwz -h 1 2
+
+smaller-than.sh 1 ../hello
+
+hardlinks-p.sh 1 2
+
+cp 1 1.saved
+
+if dwz -h 1 2 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "DWARF compression not beneficial" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $(grep -qv "DWARF compression not beneficial" dwz.err \
+	   | wc -l) -gt 0 ]; then
+    cat dwz.err
+    exit 1
+fi
+
+[ $status -eq 0 ]
+
+cmp 1 1.saved
+
+rm -f 1 1.saved 2 2.saved dwz.err
+
+if [ -f 2.#dwz#.* ]; then
+    echo "PR24275 workaround used" > dwz.info
+    rm -f 2.#dwz#.*
+fi

                 reply	other threads:[~2019-03-17 15:20 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190317152125.GA16669@delia \
    --to=tdevries@suse.de \
    --cc=dwz@sourceware.org \
    --cc=jakub@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).